{% load widget_tweaks %}
<div class="card-body">
         
    <h5 style="float: left;" class="mb-4">Application</h5>
    {% if not application.is_published %}
        <div style="float: right;">
            <button type="button" class="btn btn-danger btn-lg" data-toggle="modal" data-target="#check">Finalize application</button>
        </div> 
    {% endif %}
    <div class="clearfix"></div>
    <hr/>

    <div class="container">
        <div class="modal fade" id="check" role="dialog">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Warning</h4>
                    </div>
                    <div class="modal-body">
                        {% if user.profile.is_published %}
                            <p>After finalizing your application you can not modify your application anymore. Are you sure to finalize application?
                            </p>
                        {% else %}
                            <p>Application is not available when you didn't complete your profile. Please visit profile link and finalize your profile.
                            </p>
                        {% endif %}
                    </div>

                    {% if request.user.profile.is_published %}
                        <div class="modal-footer">
                            <form method="POST" id="application-published" action="{% url 'dashboard:application-published' application.sku %}">
                                {% csrf_token %}
                                <input type="hidden" name="g-recaptcha-response" id='recaptcha'>
                                <input type="hidden" name="user" class="form-control invisible" required="" value={{ request.user.pk }} />
                                <input type="hidden" name="is_published" class="form-control invisible" required="" value='true' />
                                <button style="float: right;" type="submit" class="btn btn-info">Yes</button>
                            </form>
                            <button style="float: right;" class="btn btn-danger" data-dismiss="modal">No</button>
                        </div>
                    {% else %}
                        <div class="modal-footer">
                            <a href="{% url 'dashboard:account-profile-edit' user.pk %}" style="float: right;" type="submit" class="btn btn-info">Profile Section</a>
                            <button style="float: right;" class="btn btn-danger" data-dismiss="modal">Cancel</button>
                        </div>
                    {% endif %}
                </div>
            </div>
        </div>

        <div class="modal fade" id="projectModal" role="dialog">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Information</h4>
                    </div>
                    <div class="modal-body">
                        
                        <p>First you must finalize your application.</p>
                    </div>

                    <div class="modal-footer">
                        <button style="float: right;" class="btn btn-danger" data-dismiss="modal">No</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    {% if not application.is_published %}

        <form method="POST" id="application-draft" class="tooltip-label-right" action="{% url 'dashboard:application-edit' application.sku %}" novalidate>
            {% csrf_token %}
            <input type="hidden" name="g-recaptcha-response" id='recaptcha'>
            <div class="form-group position-relative error-l-50">
                <label>{{ form.qatari_partnership.label }} <span class="small text-danger">(required)</span></label>
                {% render_field form.qatari_partnership class="form-control" required="" id="checkqatari"%}

                <div class="invalid-tooltip">
                    {{ form.qatari_partnership.label }} is required!
                </div>
            </div>

            <div class="table-responsive-lg">
                <table class="table table-bordered table-striped text-center" id="item_qataritable">
                </table>
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ form.website.label }} <span class="small text-danger">(required)</span> </label>
                {% render_field form.website class="form-control" required="" placeholder="https://www.deneb.qa" %}

                <div class="invalid-tooltip">
                    {{ form.website.label }} is required!
                </div>
            </div>
            
            <div class="form-group position-relative error-l-50">
                <label>{{ form.problem.label }} <span class="small text-danger">(required)</span> </label>
                {% render_field form.problem class="form-control" required="" %}

                <div class="invalid-tooltip">
                    {{ form.problem.label }} is required!
                </div>
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ form.solution.label }} <span class="small text-danger">(required)</span> </label>
                {% render_field form.solution class="form-control" required="" %}

                <div class="invalid-tooltip">
                    {{ form.solution.label }} is required!
                </div>
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ form.customer_model.label }} <span class="small text-danger">(required)</span></label>
                {% render_field form.customer_model class="form-control" required="" %}

                <div class="invalid-tooltip">
                    {{ form.customer_model.label }} is required!
                </div>
            </div>
            
            <div class="form-group position-relative error-l-50">
                <label>{{ form.industry.label }}</label>
                {% render_field form.industry class="form-control" required="" %}

                <div class="invalid-tooltip">
                    {{ form.industry.label }} is required!
                </div>
            </div>

            <h6>What is your customer model (select those that apply) <span class="small text-danger">(required)</span></h6>


            <div class="mb-4 ml-2">
                <div class="custom-control custom-checkbox mb-4">
                    {% render_field form.is_b2b class="custom-control-input" %}
                    <label class="custom-control-label" for="id_is_b2b">B2B</label>
                </div>
            </div>
            <div class="mb-4 ml-2">
                <div class="custom-control custom-checkbox mb-4">
                    {% render_field form.is_b2c class="custom-control-input" %}
                    <label class="custom-control-label" for="id_is_b2c">B2C</label>
                </div>
            </div>

            <div class="mb-4 ml-2">
                <div class="custom-control custom-checkbox mb-4">
                    {% render_field form.is_b2g class="custom-control-input" %}
                    <label class="custom-control-label" for="id_is_b2g">B2G</label>
                </div>
            </div>

            <div class="mb-4 ml-2">
                <div class="custom-control custom-checkbox mb-4">
                    {% render_field form.is_b2b2c class="custom-control-input" %}
                    <label class="custom-control-label" for="id_is_b2b2c">B2B2C</label>
                </div>
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ form.has_product.label }} <span class="small text-danger">(required)</span></label>
                {% render_field form.has_product class="form-control" required="" %}

                <div class="invalid-tooltip">
                    {{ form.has_product.label }} is required!
                </div>
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ form.sales_rate_type.label }} <span class="small text-danger">(required)</span></label>
                {% render_field form.sales_rate_type class="form-control" required="" %}

                <div class="invalid-tooltip">
                    {{ form.sales_rate_type.label }} is required!
                </div>
            </div>

            <div class="form-group position-relative error-l-50 ">
                <label>{{ form.sales_rate.label }} ( <i class="glyph-icon iconsminds-dollar-sign-2"></i> ) <span class="small text-danger">(required)</span></label>
                {% render_field form.sales_rate class="form-control" required="" placeholder="ex. 10 000 000" %}

                <div class="invalid-tooltip">
                    {{ form.sales_rate.label }} is required!
                </div>
            </div>

            <div class="form-group position-relative error-l-50">
                <label>{{ form.deneb_result.label }} <span class="small text-danger">(required)</span></label>
                {% render_field form.deneb_result class="form-control" required="" %}

                <div class="invalid-tooltip">
                    {{ form.deneb_result.label }} is required!
                </div>
            </div>

            <input type="hidden" name="user" class="form-control" required="" value={{ request.user.pk }}>

            <button type="submit" class="btn btn-primary">Save as draft</button>
        </form>
    {% else %}
        <div>

            <div class="form-group position-relative">
                <label>{{ form.qatari_partnership.label }}</label>
                {% if application.qatari_partnership %} <span style="color: #16a085; margin-left:3px; font-size: 20px; position: relative; top:5px;" class="glyph-icon simple-icon-check"></span>{% else %}<span style="color: #c0392b; margin-left:3px; font-size: 20px; position: relative; top:5px;" class="glyph-icon simple-icon-close"></span>{% endif %}
                {% if application.qatari_partnership %}
                    <input type="text" disabled="disabled" class="form-control" value = {{ application.kafil_fname }} >
                    <input type="text" disabled="disabled" class="form-control" value = {{ application.kafil_lname }} >
                    <input type="text" disabled="disabled" class="form-control" value = {{ application.kafil_email }} >
                    <input type="text" disabled="disabled" class="form-control" value = {{ application.kafil_qatari_id }} >
                {% endif %}
            </div>

            <div class="form-group position-relative">
                <label>{{ form.has_product.label }}</label>
                {% if application.has_product %} &#x20; <span style="color: #16a085; margin-left:3px; font-size: 20px; position: relative; top:5px;" class="glyph-icon simple-icon-check"></span>{% else %}<span style="color: #c0392b; margin-left:3px; font-size: 20px; position: relative; top:5px;" class="glyph-icon simple-icon-close"></span>{% endif %}
            </div>

            <div class="form-group position-relative">
                <label>{{ form.website.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {{ application.website }} >
            </div>
            
            <div class="form-group position-relative">
                <label>{{ form.problem.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {{ application.problem }} >
            </div>
            
            <div class="form-group position-relative">
                <label>{{ form.solution.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {{ application.solution }} >
            </div>
            
            <div class="form-group position-relative">
                <label>{{ form.industry.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {{ application.industry }} >
            </div>

            <div class="form-group position-relative">
                <label>{{ form.sales_rate_type.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {{ application.get_sales_rate_type_display}} >
            </div>

            <div class="form-group position-relative">
                <label>{{ form.sales_rate.label }} ( <i class="glyph-icon iconsminds-dollar-sign-2"></i> ) </label>
                <input type="text" disabled="disabled" class="form-control" value = {{ application.sales_rate }} >
            </div>
            
            <div class="form-group position-relative">
                <label>{{ form.deneb_result.label }}</label>
                <input type="text" disabled="disabled" class="form-control" value = {{ application.deneb_result }} >
            </div>

            <h6>What is your customer model (select those that apply)</h6>
            <ul>
                <li>B2B: {% if application.is_b2b %}<span style="color: #16a085; font-size: 20px; position: relative; top:5px;" class="glyph-icon simple-icon-check"></span>{% else %}<span style="color: #c0392b; font-size: 20px; position: relative; top:5px;" class="glyph-icon simple-icon-close"></span>{% endif %}</li>
                <li>B2C: {% if application.is_b2c %}<span style="color: #16a085; font-size: 20px; position: relative; top:5px;" class="glyph-icon simple-icon-check"></span>{% else %}<span style="color: #c0392b; font-size: 20px; position: relative; top:5px;" class="glyph-icon simple-icon-close"></span>{% endif %}</li>
                <li>B2G: {% if application.is_b2g %}<span style="color: #16a085; font-size: 20px; position: relative; top:5px;" class="glyph-icon simple-icon-check"></span>{% else %}<span style="color: #c0392b; font-size: 20px; position: relative; top:5px;" class="glyph-icon simple-icon-close"></span>{% endif %}</li>
                <li>B2B2C: {% if application.is_b2b2c %}<span style="color: #16a085; font-size: 20px; position: relative; top:5px;" class="glyph-icon simple-icon-check"></span>{% else %}<span style="color: #c0392b; font-size: 20px; position: relative; top:5px;" class="glyph-icon simple-icon-close"></span>{% endif %}</li>
            </ul>
            
        </div>

    {% endif %}
</div>